io.undertow.server.handlers.resource

## Interface ResourceSupplier

All Known Implementing Classes:
  DefaultResourceSupplier, PreCompressedResourceSupplier

    public interface ResourceSupplier

Interface that allows for more flexibility when resolving a resource than is currently provided by `ResourceManager`.

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`Resource` `getResource(HttpServerExchange exchange, String path)`

### Method Detail

#### getResource

    Resource getResource(HttpServerExchange exchange,
                         String path)
                  throws IOException

Parameters:
  `exchange` - The current exchange
  `path` - The path to resolve
Returns:
  A resource to serve
Throws:
  `IOException` - if an error ocured resolving the resource